VERIFIED SOLUTION i

How to determine which application servers are compatible with EngageOne version 4.x

Product Feature: Installation / Upgrade
Versions affected: 4.x
 
Version 4.x of EngageOne Server no longer requires an external application server (for example JBoss, Websphere, WebLogic) as it has it's own inbuilt application server, namely Tomcat.

Tomcat uses OpenAM for authentication and OpenAM talks to Active Directory via LDAP to authenticate uses. It then generates a cookie that is then used to log users into EngageOne.
UPDATED:  October 11, 2017